Loading...
Searching...
No Matches
Catch::Generators::FixedValuesGenerator< T > Class Template Referencefinal

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Generators::FixedValuesGenerator< T >:
[legend]
Collaboration diagram for Catch::Generators::FixedValuesGenerator< T >:
[legend]

## Public Member Functions

| FixedValuesGenerator (std::initializer_list< T > values)
T const & | get () const override
bool | next () override
Public Member Functions inherited from Catch::Generators::GeneratorUntypedBase
| GeneratorUntypedBase ()=default
| GeneratorUntypedBase (GeneratorUntypedBase const &)=default
GeneratorUntypedBase & | operator= (GeneratorUntypedBase const &)=default
virtual | ~GeneratorUntypedBase ()
bool | countedNext ()
std::size_t | currentElementIndex () const
StringRef | currentElementAsString () const

## Private Attributes

std::vector< T > | m_values
size_t | m_idx = 0

## Additional Inherited Members

Public Types inherited from Catch::Generators::IGenerator< T >
using | type = T

## Constructor & Destructor Documentation

## FixedValuesGenerator()

template<typename T>

Catch::Generators::FixedValuesGenerator< T >::FixedValuesGenerator | ( | std::initializer_list< T > | values | ) |

inline

Here is the call graph for this function:

## Member Function Documentation

## get()

template<typename T>

T const & Catch::Generators::FixedValuesGenerator< T >::get | ( |  | ) | const

inlineoverridevirtual

Implements Catch::Generators::IGenerator< T >.

## next()

template<typename T>

bool Catch::Generators::FixedValuesGenerator< T >::next | ( |  | ) |

inlineoverridevirtual

Attempts to move the generator to the next element

Returns true iff the move succeeded (and a valid element can be retrieved).

Implements Catch::Generators::GeneratorUntypedBase.

## Member Data Documentation

## m_idx

template<typename T>

size_t Catch::Generators::FixedValuesGenerator< T >::m_idx = 0

private

## m_values

template<typename T>

std::vector<T> Catch::Generators::FixedValuesGenerator< T >::m_values

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp